Skip to main content
GET
/
v1
/
events
List Events
curl --request GET \
  --url https://api.arbiterapi.com/v1/events \
  --header 'X-API-Key: <api-key>'
{
  "events": [
    {
      "slug": "<string>",
      "title": "<string>",
      "status": "<string>",
      "markets": [
        {
          "id": "<string>",
          "slug": "<string>",
          "question": "<string>",
          "status": "open",
          "outcomes": [
            {
              "label": "<string>",
              "price": 123,
              "price_cents": 123
            }
          ],
          "platforms": [
            {
              "platform": "polymarket",
              "native_id": "<string>",
              "url": "<string>",
              "best_bid": 123,
              "best_ask": 123,
              "volume_24h": 123
            }
          ],
          "description": "<string>",
          "volume_24h": 0,
          "volume_total": 123,
          "open_interest": 123,
          "created_at": 123,
          "close_time": 123,
          "tags": [],
          "category": "<string>",
          "event_slug": "<string>"
        }
      ],
      "market_count": 123,
      "total_volume_24h": 123,
      "platforms": [
        "<string>"
      ],
      "total_volume": 123,
      "category": "<string>",
      "tags": []
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

X-API-Key
string
header
required

Query Parameters

platform
string | null

Filter by platform

status
string | null

Filter by status

q
string | null

Search event titles

min_volume
number | null

Minimum 24h volume

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

events
Event · object[]
required
total
integer
required
limit
integer
required
offset
integer
required